Subject: Re: bug#19576: write-file writes the wrong buffer

From: martin rudalics <[email-masked]>
Date: Tue, 24 Nov 2015 09:27:52 +0100

>> A silly example with emacs -Q is
 >>
 >> (defvar fun 0)
 >>
 >> (defun fun (frame)
 >>     "..."
 >>     (message "\n%s\n" (setq fun (1+ fun))) (ding))
 >>
 >> (add-hook 'window-size-change-functions 'fun)
 >>
 >> This gets me complete erratic behavior when moving point.
 >
 > Maybe I'm blind, but I don't see anything erratic.

OK.  Here the erratic behavior is caused by ‘eldoc-mode’.  In any case
‘window-size-change-functions’ is executed twice per redisplay IIUC.

 > I see that, but does that mean we should remove the "once only"
 > promise?

I'd just remove the qualifier "just".

martin